/*
 * NATItem.cpp
 *
 *  Created on: 10-01-2017
 *      Author: Piotr Dergun
 */

#include "NATRouter.h"

NATRouter::NATRouter()
{
	try
	{
		natTable = new NATItem[65536];
	}
	catch(bad_alloc &ba)
	{
		cerr << "Nie mozna zaalokowac pamieci dla tablicy NAT!" << endl;
		exit(1);
	}

}

NATRouter::~NATRouter()
{
	if (natTable)
		delete [] natTable;
}
